summaryrefslogtreecommitdiffstats
path: root/agents/manual/fence_ack_manual.in
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 06:50:17 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 06:50:17 +0000
commit86ed03f8adee56c050c73018537371c230a664a6 (patch)
treeeae3d04cdf1c49848e5a671327ab38297f4acb0d /agents/manual/fence_ack_manual.in
parentInitial commit. (diff)
downloadfence-agents-upstream/4.12.1.tar.xz
fence-agents-upstream/4.12.1.zip
Adding upstream version 4.12.1.upstream/4.12.1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rw-r--r--agents/manual/fence_ack_manual.in37
1 files changed, 37 insertions, 0 deletions
diff --git a/agents/manual/fence_ack_manual.in b/agents/manual/fence_ack_manual.in
new file mode 100644
index 0000000..e8b4998
--- /dev/null
+++ b/agents/manual/fence_ack_manual.in
@@ -0,0 +1,37 @@
+#!/bin/bash
+#
+# Manual override after fencing has failed.
+#
+
+if [ "$1" = "-n" ]; then
+ shift
+fi
+
+if [ -z "$1" ] || [ "${1:0:1}" = "-" ]; then
+ echo "usage:"
+ echo " $0 <nodename>"
+ echo " $0 -n <nodename>"
+ echo
+ echo "The -n flag exists to preserve compatibility with previous "
+ echo "releases of $0, and is no longer required."
+ exit 1
+fi
+
+declare answer
+
+echo "About to override fencing for $1."
+echo "Improper use of this command can cause severe file system damage."
+echo
+read -p "Continue [NO/absolutely]? " answer
+
+if [ "$answer" != "absolutely" ]; then
+ echo "Aborted."
+ exit 1
+fi
+
+while ! [ -e @clustervarrun@/fenced_override ]; do
+ sleep 1
+done
+
+echo $1>@clustervarrun@/fenced_override
+echo Done